Bug 21723 - lockd dies
Summary: lockd dies
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: nfs-utils   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Stephen Tweedie
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-05 00:32 UTC by damin
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-16 21:20:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description damin 2000-12-05 00:32:35 UTC
Symptoms: nfs lockd on the server dies w/ NO error message in the log. 
Clients then spew the following messages into syslog:
Dec  4 18:25:03 devel kernel: lockd: couldn't bind to server 
207.166.192.171 - giving up.

A complete reboot of both systems is required to get them back to 
functional status again.

NFS Server: Redhat 7.0 w/ all updates as a Dec 3/2000
nfs-utils-0.1.9.1-7
kernel-2.2.16-22
Linux ginger.nacs.net 2.2.16-22 #1 Tue Aug 22 16:16:55 EDT 2000 i586

/etc/exports file
-----------------
/devel 207.166.192.85(rw,no_root_squash)
/var/spool/mail 207.166.192.85(no_root_squash,rw)

Loaded Modules
--------------
Module                  Size  Used by
nfsd                  143856   8  (autoclean)
lockd                  31184   1  (autoclean) [nfsd]
sunrpc                 52976   1  (autoclean) [nfsd lockd]
3c59x                  19888   1  (autoclean)
megaraid               14764   6 

Network is a hardwired, 100 Megabit network connected to 3COM switch.

NFS Client: RedHat 6.1 w/ all updates as of Dec 3/2000
nfs-utils-0.1.9.1-1
kernel-2.2.16-3
Linux devel.nacs.net 2.2.16-3 #1 Mon Jun 19 18:10:14 EDT 2000 i586 unknown

/etc/fstab
----------
207.166.192.171:/devel /home nfs 
exec,dev,sync,soft,bg,wsize=8192,rsize=8192 0 0

207.166.192.171:/var/spool/mail /var/spool/mail nfs 
exec,bg,dev,sync,soft,wsize=8192,rsize=819 2 0 0

Comment 1 Stephen Tweedie 2002-11-11 22:37:49 UTC
Please reopen if you still have a problem on current releases.


Note You need to log in before you can comment on or make changes to this bug.